package org.kne.cloud.network;

import java.io.IOException;

public class SocketToServiceProxy extends Proxy {
	public SocketToServiceProxy(String l, String r) {
		src=new MultiProtocolSocketAddress(l);
		des=getRegister().get(r.substring(1, r.length()-1)) ;
	}
	public MultiProtocolSocketAddress getSrc() {
		return src;
	}
	public NetworkService getDes() {
		return des;
	}
	private MultiProtocolSocketAddress src;
	private NetworkService des;
	@Override
	public void close() throws IOException {
		// TODO 自动生成的方法存根
		
	}
}
